summaryrefslogtreecommitdiff
path: root/hooks/build-os/10-apt
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/build-os/10-apt')
-rwxr-xr-xhooks/build-os/10-apt15
1 files changed, 15 insertions, 0 deletions
diff --git a/hooks/build-os/10-apt b/hooks/build-os/10-apt
new file mode 100755
index 0000000..65c7056
--- /dev/null
+++ b/hooks/build-os/10-apt
@@ -0,0 +1,15 @@
+#!/bin/bash -xe
+set -o pipefail
+
+# Enable additional sources
+cat > "${root:?}"/etc/apt/sources.list << EOF
+deb https://deb.debian.org/debian trixie main contrib non-free non-free-firmware
+
+deb https://deb.debian.org/debian trixie-updates main contrib non-free non-free-firmware
+
+deb https://security.debian.org/debian-security trixie-security main contrib non-free non-free-firmware
+EOF
+
+# update/upgrade system
+chroot "${root:?}" apt-get update
+chroot "${root:?}" apt-get upgrade